summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-26 10:50:33 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-26 10:50:33 +0000
commitf420298c93b78d20772349997bbf4ed41d82ad42 (patch)
tree935a98ccdf5d9e38f64c72cd1a1b4e6c7166b55a /jenkins
parent15e2b7a84f035ff4e22e0170b958f7f60d731b96 (diff)
onsuccess: #774: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1431
-rw-r--r--jenkins/notify-init.log309
-rw-r--r--jenkins/run-build.env8
4 files changed, 1529 insertions, 221 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 14c685b..e53b422 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#773-glibc-R0
+#774-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index ea5c6d9..49119be 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -20,23 +20,23 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
-+ ci_config=master-arm
# Debug traces :
++ ci_config=master-arm
+ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/772/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/772/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -45,8 +45,8 @@
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x81be2a61dafc168327c1639e97b6dae128c7ccf3 '!=' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
+++ '[' xe65ca115151a5895d9c9ac81fdc137f0eed077ed '!=' x81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ first_bad=e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ last_good=81be2a61dafc168327c1639e97b6dae128c7ccf3
+ local res
+ res=0
-+ wait 1120596
++ wait 1198508
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ git -C glibc rev-parse '81be2a61dafc168327c1639e97b6dae128c7ccf3^@'
++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ git -C glibc rev-parse 'e65ca115151a5895d9c9ac81fdc137f0eed077ed^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 3502440397bbb840e2f7223734aa5cc2cc0e29b6 = 61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
-+ return 1
-+ change_kind=single_component
-# Debug traces :
++ '[' 81be2a61dafc168327c1639e97b6dae128c7ccf3 = 81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
++ return 0
++ change_kind=single_commit
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# Debug traces :
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ c_commits=2
-# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)
++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ git -C glibc rev-list --count 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ c_commits=1
+# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)
-+ echo '# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)'
++ echo '# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -173,16 +173,275 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ local fresh_clone=false
++ true
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1198588
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ break
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=0ae935228
+++ '[' 0 -ne 0 ']'
+++ echo 0ae935228
++ sha1=0ae935228
++ git -C interesting-commits checkout --detach 0ae935228
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ db6ceba23 Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> db6ceba23
+
+HEAD is now at 0ae935228 Add entry 76243adc4699314c7569ba3c0610ecd187228291 from https://ci.linaro.org/job/tcwg_bmk-code_speed-cpu2017rate--llvm-arm-master-O3-build/120/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ subdir3=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
++ subdir4=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed ']'
++ mkdir -p interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url
++ mkdir -p interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
++ echo 81be2a61dafc168327c1639e97b6dae128c7ccf3
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/build_url glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/'
+[detached HEAD 17674a932] Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/last_good
++ wait 1212935
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1120620
++ wait 1212937
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ true
+ calculate_results_date
@@ -198,48 +457,691 @@
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ base_d=1703085273
+++ git -C glibc show --no-patch --pretty=%ct 81be2a61dafc168327c1639e97b6dae128c7ccf3
++ base_d=1703252237
++ get_current_component_date glibc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ cur_d=1703252237
-+ '[' x1703085273 '!=' x ']'
-+ '[' x1703252237 = x ']'
-+ '[' 1703252237 -lt 1703085273 ']'
-+ '[' x1703252237 = x ']'
-+ '[' 1703252237 -gt 0 ']'
-+ results_date=1703252237
-+ assert_with_msg 'Failed to produce results_date' '[' 1703252237 -gt 0 ']'
+++ git -C glibc show --no-patch --pretty=%ct e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ cur_d=1703534678
++ '[' x1703252237 '!=' x ']'
++ '[' x1703534678 = x ']'
++ '[' 1703534678 -lt 1703252237 ']'
++ '[' x1703534678 = x ']'
++ '[' 1703534678 -gt 0 ']'
++ results_date=1703534678
++ assert_with_msg 'Failed to produce results_date' '[' 1703534678 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1703082182
-+ '[' 1703082182 '!=' '' ']'
-+ assert '[' 1703252237 -ge 1703082182 ']'
++ base_d=1703167209
++ '[' 1703167209 '!=' '' ']'
++ assert '[' 1703534678 -ge 1703167209 ']'
+ set -euf -o pipefail +x
-+ '[' 1703252237 -gt 1703082182 ']'
-+ results_date=1703167209
-+ rr[results_date]=1703167209
++ '[' 1703534678 -gt 1703167209 ']'
++ results_date=1703350943
++ rr[results_date]=1703350943
+ cat
+ manifest_out
+ cat
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ isubdir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/ = https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ local fresh_clone=false
++ true
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1213074
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ break
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=0ae935228
+++ '[' 0 -ne 0 ']'
+++ echo 0ae935228
++ sha1=0ae935228
++ git -C interesting-commits checkout --detach 0ae935228
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 17674a932 Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 17674a932
+
+HEAD is now at 0ae935228 Add entry 76243adc4699314c7569ba3c0610ecd187228291 from https://ci.linaro.org/job/tcwg_bmk-code_speed-cpu2017rate--llvm-arm-master-O3-build/120/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ subdir3=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
++ subdir4=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed ']'
++ mkdir -p interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url
++ mkdir -p interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
++ echo 81be2a61dafc168327c1639e97b6dae128c7ccf3
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/build_url glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1227371
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1227372
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --oneline = --oneline ']'
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1068: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1068: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status-summary.txt
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status-summary.txt glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status-summary.txt glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 1227412
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 1227413
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --long = --oneline ']'
++ local length=10 outfile n_lines
++ '[' --long = --long ']'
++ length=-0
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/regressions.sum ']'
++ continue
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/progressions.sum ']'
++ continue
++ cat
+++ print_artifacts_url 00-sumfiles/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts/sumfiles/xfails.xfail
++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/details.txt
++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/build_url
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/details.txt glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status.txt
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ ls
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status.txt ']'
++ echo '* master-arm'
++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ ls
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status.txt ']'
++ echo '* tcwg_glibc_check'
++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed true
+++ local component=glibc
+++ local sha1=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ describe=glibc-2.38.9000-375-ge65ca11515
+++ echo glibc-2.38.9000-375-ge65ca11515
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-375-ge65ca11515
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-375-ge65ca11515'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.LVN22WsQXB
++ git -C glibc log -n1 e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ tail -n +2
++ head -n 10 /tmp/tmp.LVN22WsQXB
+++ cat /tmp/tmp.LVN22WsQXB
+++ wc -l
++ more_lines=-4
++ '[' -4 -gt 0 ']'
++ rm /tmp/tmp.LVN22WsQXB
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira ']'
++ mkdir interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed true
++++ local component=glibc
++++ local sha1=e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ describe=glibc-2.38.9000-375-ge65ca11515
++++ echo glibc-2.38.9000-375-ge65ca11515
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-375-ge65ca11515
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-375-ge65ca11515
+++ return 0
+++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status-summary.txt
++ echo glibc-2.38.9000-375-ge65ca11515: PASS
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/summary
++ cat
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=e65ca115151a5895d9c9ac81fdc137f0eed077ed'
+++ return 0
+++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/commit-log.txt
+++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status.txt
+++ print_icommits_link glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/yaml
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ commit_date='2023-12-25 21:04:38 +0100'
++ date -d '2023-12-25 21:04:38 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
+++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed false
+++ local component=glibc
+++ local sha1=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ describe=glibc-2.38.9000-375-ge65ca11515
++ '[' glibc-2.38.9000-375-ge65ca11515 '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-375-ge65ca11515
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ rm -f interesting-commits/glibc/glibc-2.38.9000-375-ge65ca11515
++ ln -s sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed interesting-commits/glibc/glibc-2.38.9000-375-ge65ca11515
++ git -C interesting-commits add glibc/glibc-2.38.9000-375-ge65ca11515
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/'
+[detached HEAD 4617dd6ee] Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
+ 17 files changed, 68 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-375-ge65ca11515
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/commit-log.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/components
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/description
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/startdate
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/summary
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status-summary.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/details.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/last_good
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status-summary.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/status.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status-summary.txt
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/status.txt
++ wait 1227789
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -249,11 +1151,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ isubdir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ icommit_entry=interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ '[' interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira ']'
++ rsync -a interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -267,10 +1181,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1120697
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1120698
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1227800
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1227801
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -293,9 +1207,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -318,17 +1232,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ read -r email
-++ git -C glibc log --pretty=%ae 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ emails["$email"]=cc
++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+ read -r email
+++ git -C glibc log --pretty=%ae 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -339,17 +1251,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ read -r email
-++ git -C glibc log --pretty=%ce 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ emails["$email"]=to
++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+ read -r email
+++ git -C glibc log --pretty=%ce 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -357,11 +1267,6 @@
+ recipients=()
+ local -a recipients
+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
+ type=cc_postcommit
+ case "$precommit_postcommit:$type" in
+ type=cc
@@ -372,43 +1277,38 @@
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
+ IFS=,
-+ echo hjl.tools@gmail.com,cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,mfabian@redhat.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed true
++++ local component=glibc
++++ local sha1=e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ describe=glibc-2.38.9000-375-ge65ca11515
++++ echo glibc-2.38.9000-375-ge65ca11515
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-375-ge65ca11515
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-375-ge65ca11515
++ return 0
++ gnu_print_result --oneline
++ false
@@ -417,10 +1317,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1120754
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1120755
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1227849
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1227850
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -462,21 +1362,44 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' '2 commits in glibc: PASS on arm'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-375-ge65ca11515: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/772/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts
+ local key=
-+ '[' single_component = single_commit ']'
++ '[' single_commit = single_commit ']'
++ '[' '' = '' ']'
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
+++ '[' -f interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
++ '[' GNU-692 '!=' '' ']'
+ cat
-+ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
@@ -503,56 +1426,39 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ c_commits=2
-++ new_commits=2
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '2 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed true
++++ local component=glibc
++++ local sha1=e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ describe=glibc-2.38.9000-375-ge65ca11515
++++ echo glibc-2.38.9000-375-ge65ca11515
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-375-ge65ca11515
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ c_commits=2
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ '[' 2 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-375-ge65ca11515'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.LNqghXV2c3
+++ git -C glibc log -n1 e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ tail -n +2
+++ head -n 10 /tmp/tmp.LNqghXV2c3
++++ cat /tmp/tmp.LNqghXV2c3
++++ wc -l
+++ more_lines=-4
+++ '[' -4 -gt 0 ']'
+++ rm /tmp/tmp.LNqghXV2c3
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -562,10 +1468,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1120819
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1120820
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1227908
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1227909
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231226 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -596,27 +1502,27 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
@@ -637,11 +1543,74 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check master-arm'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_check master-arm
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed tcwg_glibc_check master-arm
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
++++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ isubdir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=e65ca115151a5895d9c9ac81fdc137f0eed077ed'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ isubdir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/status.txt
+ true
+ generate_jenkins_html_files
-+ wait 1120863
++ wait 1227967
+ set -euf -o pipefail
# generate_jenkins_html_files
... Skipping
@@ -809,6 +1778,14 @@
++ echo -n '<a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ echo '<li><a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ read -r cur_file
+++ print_readme_link html ./06-build_abe-check_glibc/make-glibc.log.xz
+++ set -euf -o pipefail
+++ local text_type=html
+++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
+++ case $text_type in
+++ echo -n '<a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
++ echo '<li><a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
++ read -r cur_file
++ print_readme_link html ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=html
@@ -905,6 +1882,38 @@
++ echo -n '<a href="./notify/jira/comment-template.txt">./notify/jira/comment-template.txt</a>'
+ echo '<li><a href="./notify/jira/comment-template.txt">./notify/jira/comment-template.txt</a>'
+ read -r cur_file
+++ print_readme_link html ./notify/jira/components
+++ set -euf -o pipefail
+++ local text_type=html
+++ local msg=./notify/jira/components
+++ case $text_type in
+++ echo -n '<a href="./notify/jira/components">./notify/jira/components</a>'
++ echo '<li><a href="./notify/jira/components">./notify/jira/components</a>'
++ read -r cur_file
+++ print_readme_link html ./notify/jira/description
+++ set -euf -o pipefail
+++ local text_type=html
+++ local msg=./notify/jira/description
+++ case $text_type in
+++ echo -n '<a href="./notify/jira/description">./notify/jira/description</a>'
++ echo '<li><a href="./notify/jira/description">./notify/jira/description</a>'
++ read -r cur_file
+++ print_readme_link html ./notify/jira/startdate
+++ set -euf -o pipefail
+++ local text_type=html
+++ local msg=./notify/jira/startdate
+++ case $text_type in
+++ echo -n '<a href="./notify/jira/startdate">./notify/jira/startdate</a>'
++ echo '<li><a href="./notify/jira/startdate">./notify/jira/startdate</a>'
++ read -r cur_file
+++ print_readme_link html ./notify/jira/summary
+++ set -euf -o pipefail
+++ local text_type=html
+++ local msg=./notify/jira/summary
+++ case $text_type in
+++ echo -n '<a href="./notify/jira/summary">./notify/jira/summary</a>'
++ echo '<li><a href="./notify/jira/summary">./notify/jira/summary</a>'
++ read -r cur_file
++ print_readme_link html ./notify/mail-body.txt
++ set -euf -o pipefail
++ local text_type=html
@@ -1130,6 +2139,14 @@
++ echo -n ./06-build_abe-check_glibc/flaky.xfail
+ echo '- ./06-build_abe-check_glibc/flaky.xfail'
+ read -r cur_file
+++ print_readme_link txt ./06-build_abe-check_glibc/make-glibc.log.xz
+++ set -euf -o pipefail
+++ local text_type=txt
+++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
+++ case $text_type in
+++ echo -n ./06-build_abe-check_glibc/make-glibc.log.xz
++ echo '- ./06-build_abe-check_glibc/make-glibc.log.xz'
++ read -r cur_file
++ print_readme_link txt ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=txt
@@ -1226,6 +2243,38 @@
++ echo -n ./notify/jira/comment-template.txt
+ echo '- ./notify/jira/comment-template.txt'
+ read -r cur_file
+++ print_readme_link txt ./notify/jira/components
+++ set -euf -o pipefail
+++ local text_type=txt
+++ local msg=./notify/jira/components
+++ case $text_type in
+++ echo -n ./notify/jira/components
++ echo '- ./notify/jira/components'
++ read -r cur_file
+++ print_readme_link txt ./notify/jira/description
+++ set -euf -o pipefail
+++ local text_type=txt
+++ local msg=./notify/jira/description
+++ case $text_type in
+++ echo -n ./notify/jira/description
++ echo '- ./notify/jira/description'
++ read -r cur_file
+++ print_readme_link txt ./notify/jira/startdate
+++ set -euf -o pipefail
+++ local text_type=txt
+++ local msg=./notify/jira/startdate
+++ case $text_type in
+++ echo -n ./notify/jira/startdate
++ echo '- ./notify/jira/startdate'
++ read -r cur_file
+++ print_readme_link txt ./notify/jira/summary
+++ set -euf -o pipefail
+++ local text_type=txt
+++ local msg=./notify/jira/summary
+++ case $text_type in
+++ echo -n ./notify/jira/summary
++ echo '- ./notify/jira/summary'
++ read -r cur_file
++ print_readme_link txt ./notify/mail-body.txt
++ set -euf -o pipefail
++ local text_type=txt
@@ -1304,13 +2353,13 @@
+ local text_type=txt
+ case $text_type in
# generate dashboard
-+ echo '# generate dashboard'
-+ generate_dashboard_squad
-+ local results_date
# generate_dashboard_squad
... Skipping
# post_dashboard_squad
... Skipping
++ echo '# generate dashboard'
++ generate_dashboard_squad
++ local results_date
+ echo '# generate_dashboard_squad'
+ false
+ echo '... Skipping'
@@ -1321,31 +2370,31 @@
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 1121041
++ wait 1228165
+ set -euf -o pipefail
-# generate_lnt_report
+ local results_date
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
+ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
++ declare is_first_lnt_entry
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1703167209
-++ date '+%Y-%m-%d %H:%M:%S' --date @1703167209
-+ results_date='2023-12-21 14:00:09'
++ results_date=1703350943
+++ date '+%Y-%m-%d %H:%M:%S' --date @1703350943
++ results_date='2023-12-23 17:02:23'
+ local jira_key=-
+ '[' -f artifacts/notify/jira/key ']'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/ tcwg_glibc_check master-arm '2023-12-21 14:00:09' - artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/ tcwg_glibc_check master-arm '2023-12-23 17:02:23' - artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
-+ local 'results_date=2023-12-21 14:00:09'
++ local 'results_date=2023-12-23 17:02:23'
+ local jira_key=-
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
@@ -1356,22 +2405,22 @@
+ local lnt_testsuite=tcwg_glibc_check
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/
-+ build_number=773
+++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
++ build_number=774
+ set +x
+# release_testresults_files
+... Done
+ false
+ true
+ release_testresults_files
-# release_testresults_files
-... Done
+ echo '# release_testresults_files'
+ '[' -d artifacts/jenkins ']'
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index bfb24a5..2fc1119 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -26,17 +26,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/772/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/772/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/773/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x81be2a61dafc168327c1639e97b6dae128c7ccf3 '!=' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
+++ '[' xe65ca115151a5895d9c9ac81fdc137f0eed077ed '!=' x81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ first_bad=e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ last_good=81be2a61dafc168327c1639e97b6dae128c7ccf3
+ local res
+ res=0
-+ wait 1120483
++ wait 1183989
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ git -C glibc rev-parse '81be2a61dafc168327c1639e97b6dae128c7ccf3^@'
++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ git -C glibc rev-parse 'e65ca115151a5895d9c9ac81fdc137f0eed077ed^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 3502440397bbb840e2f7223734aa5cc2cc0e29b6 = 61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
-+ return 1
-+ change_kind=single_component
++ '[' 81be2a61dafc168327c1639e97b6dae128c7ccf3 = 81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
+# change_kind=single_commit : glibc
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
++ base_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-+ c_commits=2
-# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)
++ cur_rev=e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ git -C glibc rev-list --count 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ c_commits=1
+# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)
-+ echo '# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)'
++ echo '# rev for glibc : 81be2a61dafc168327c1639e97b6dae128c7ccf3..e65ca115151a5895d9c9ac81fdc137f0eed077ed (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -176,9 +176,268 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ local fresh_clone=false
++ true
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 1184069
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ break
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=0ae935228
+++ '[' 0 -ne 0 ']'
+++ echo 0ae935228
++ sha1=0ae935228
++ git -C interesting-commits checkout --detach 0ae935228
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 2413ff8d9 Add entry 07ee6d7b2c361437b877e37e096af71d53a6faef from https://ci.linaro.org/job/tcwg_gcc_build--master-aarch64-build/1500/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 2413ff8d9
+
+HEAD is now at 0ae935228 Add entry 76243adc4699314c7569ba3c0610ecd187228291 from https://ci.linaro.org/job/tcwg_bmk-code_speed-cpu2017rate--llvm-arm-master-O3-build/120/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ jira_dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ subdir3=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
++ subdir4=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ interesting_subdir glibc e65ca115151a5895d9c9ac81fdc137f0eed077ed tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed ']'
++ mkdir -p interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url
++ mkdir -p interesting-commits/glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/artifact/artifacts
++ echo 81be2a61dafc168327c1639e97b6dae128c7ccf3
++ git -C interesting-commits add glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/build_url glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/'
+[detached HEAD db6ceba23] Add entry e65ca115151a5895d9c9ac81fdc137f0eed077ed from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/774/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/first_url
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/e65ca115151a5895d9c9ac81fdc137f0eed077ed/tcwg_glibc_check/master-arm/last_good
++ wait 1198417
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' init '!=' full ']'
-Init stage ran successfully.
+ echo 'Init stage ran successfully.'
+Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index d8d0660..de0976e 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#773"
+build_name="#774"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-06
+tcwg-jade-05
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#773-glibc"
+build_name="#774-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#773-glibc-R0"
+build_name="#774-glibc-R0"